Bug 21990 - No background color for div.error, must be .alert
Summary: No background color for div.error, must be .alert
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-12 15:22 UTC by Jonathan Druart
Modified: 2019-02-25 06:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21990: Replace dialog .error with .alert (2.19 KB, patch)
2018-12-12 15:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21990: Replace dialog .error with .alert (2.25 KB, patch)
2018-12-14 19:01 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 21990: Replace dialog .error with .alert (2.32 KB, patch)
2019-01-01 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-12-12 15:22:37 UTC
<div class="dialog error"> will display a div without background color, the correct class is "dialog alert".


https://wiki.koha-community.org/wiki/Interface_patterns#Error_messages
Comment 1 Jonathan Druart 2018-12-12 15:24:10 UTC
Created attachment 83131 [details] [review]
Bug 21990: Replace dialog .error with .alert

<div class="dialog error"> will display a div without background color, the correct class is "dialog alert".

https://wiki.koha-community.org/wiki/Interface_patterns#Error_messages

Test plan:
Hit /cgi-bin/koha/acqui/parcel.pl
Notice the background color change with and without this patch
Comment 2 Pierre-Marc Thibault 2018-12-14 19:01:12 UTC
Created attachment 83239 [details] [review]
Bug 21990: Replace dialog .error with .alert

<div class="dialog error"> will display a div without background color, the correct class is "dialog alert".

https://wiki.koha-community.org/wiki/Interface_patterns#Error_messages

Test plan:
Hit /cgi-bin/koha/acqui/parcel.pl
Notice the background color change with and without this patch

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 3 Katrin Fischer 2019-01-01 22:05:42 UTC
Created attachment 83565 [details] [review]
Bug 21990: Replace dialog .error with .alert

<div class="dialog error"> will display a div without background color, the correct class is "dialog alert".

https://wiki.koha-community.org/wiki/Interface_patterns#Error_messages

Test plan:
Hit /cgi-bin/koha/acqui/parcel.pl
Notice the background color change with and without this patch

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-01-02 21:11:21 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-07 15:20:52 UTC
Cosmetic fix, Pushed to 18.11.x for 18.11.02
Comment 6 Jesse Maseto 2019-01-09 13:05:59 UTC
Pushed to 18.05.x for 18.05.08
Comment 7 Fridolin SOMERS 2019-01-16 08:15:57 UTC
Pushed to 17.11.x for 17.11.14